/**
 * My Title
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models


/**
 * 
 * @param id 
 * @param isSolved 
 * @param lastOccurance 
 * @param totalOccurances 
 * @param affectedDevices 
 * @param kind 
 * @param identification 
 */
data class Problem (

    val id: kotlin.String,
    val isSolved: kotlin.Boolean,
    val lastOccurance: java.time.LocalDateTime,
    val totalOccurances: kotlin.Int,
    val affectedDevices: kotlin.Int,
    val kind: kotlin.String,
    val identification: kotlin.String
) {
}